
Foreman - Bug #10321

Compute Profiles Still Lose Security Groups on Select

04/29/2015 03:09 PM - Shawn LoPresto

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Looks like this issue still exists in 1.8. I am able to see my security groups just fine and even add the proper groups to each compute

profile.

When creating a new host and selecting the compute profile, the security groups are blank. I have to change the subnet selection

forward/back to get the rules to show up at all. So there are two issues that may be related.

1. Groups not propagated to new host after profile selection during launch.

To reproduce, just make a compute profile with your selection and then try launching a new host with that profile.

2. When the results from #1 are not returned, you get a blank set of rules for that subnet until you toggle subnets.

Related issues:

Is duplicate of Foreman - Bug #6817: Compute Profile not saving/using Securit... Closed 07/29/2014

History

#1 - 04/30/2015 03:33 AM - Dominic Cleal

- Is duplicate of Bug #6817: Compute Profile not saving/using Security Groups for AWS VPC groups. EC2 groups work fine. added

#2 - 04/30/2015 03:33 AM - Dominic Cleal

- Status changed from New to Duplicate

- translation missing: en.field_release deleted (50)

Tracked under your original report, #6817.
